org.wildfly.swarm.spi.api

## Interface DependenciesContainer<T extends <any>>

- All Superinterfaces:
    MarkerContainer<T>
  All Known Subinterfaces:
    JAXRSArchive, VDBArchive, WARArchive

      public interface DependenciesContainer<T extends <any>>
      extends MarkerContainer<T>

  Archive mix-in capable of supporting `addAllDependencies`

  While not used directly, this interface is exposed through sub-classes that support adding all dependencies.

  It is a syntactic sugar for ShrinkWrap's own `addAsLibraries` along with `ArtifactLookup.allArtifacts()`

  Author:
    Bob McWhirter, Ken Finnigan
  See Also:
    `ArtifactLookup`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALL_DEPENDENCIES_MARKER`

    - ### Fields inherited from interface org.wildfly.swarm.spi.api.MarkerContainer

      `PATH_MARKERS`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default T` | `addAllDependencies()` Add all application dependencies to this deployment.
    `default T` | `addAllDependencies(boolean includingWildFlySwarm)`
    `default T` | `addDependency(String gav)` Add a single Maven dependency into the Archive.

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.MarkerContainer

      `addMarker, addMarker, hasMarker, hasMarker`

- - ### Field Detail

    - #### ALL_DEPENDENCIES_MARKER

          static final String ALL_DEPENDENCIES_MARKER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### addAllDependencies

          default T addAllDependencies()
                                throws Exception

      Add all application dependencies to this deployment.
      Returns:
        this archive.
      Throws:
        `Exception`

    - #### addAllDependencies

          default T addAllDependencies(boolean includingWildFlySwarm)
                                throws Exception

      Throws:
        `Exception`

    - #### addDependency

          default T addDependency(String gav)
                           throws Exception

      Add a single Maven dependency into the Archive. The following dependency formats are supported: groupId:artifactId groupId:artifactId:version groupId:artifactId:packaging:version groupId:artifactId:packaging:version:classifier
      Parameters:
        `gav` - String coordinates of the Maven dependency
      Returns:
        Archive instance
      Throws:
        `Exception`
      See Also:
        `ArtifactLookup.artifact(String)`

Copyright © 2017 JBoss by Red Hat. All rights reserved.